<?php

/**------------------------------------------------
 *
 * Rooty, 2018 <rooty@rooty.me>
 *
 *
 * This software is protected by copyright, please
 * read the file COPYRIGHT.
 * This program is distributed in the hope that it
 * will be useful, but without any warranty; without
 * even the implied warranty of merchantability or
 * fitness for a particular purpose. Please
 * read the file LICENCE.
 *
 * Fichier config.php
 *
 * Ce fichier contient les définitions de constantes permettant
 * au plugin Navigation de fonctionner en https.
 *
 * @author NH-Système <g.lafaye@nh-systeme.fr>
 * @link www.rooty.me
 * @since 2007/05/21
 * @version 0.3
 * @package commun
 * @subpackage config
 * @copyright Copyright &copy; 2009-2018, Rooty
 */

/**
 * déclaration du système... si cette variable n'est pas définie, les fichiers inclus ne marcheront pas...
 * cette variable est déclarée sur la page d'exécution du script.
 *<p> if ( !defined('SYSTEM_IN') )
 * {
 * die("Hacking attempt");
 * }</p>
 */
if ( !defined('SYSTEM_IN') )
{
 die("Hacking attempt");
}

/**
 * @global chaine $GLOBALS['CONF_ALL_SECURE']
 * @name $CONF_ALL_SECURE
 * @desc Définit un dialogue sécurisé de toute la plateforme.<br />
 * Va de paire avec $CONF_AUTH_SECURE
 */
$GLOBALS['CONF_ALL_SECURE']=true;

/**
 * @global tableau $GLOBALS['SYSTEM_CLASS_METHOD_SECURE']
 * @name $SYSTEM_CLASS_METHOD_SECURE
 * @desc Liste des couples classe.méthode autorisés à dialoguer en https.<br />
 * Va de paire avec $CONF_AUTH_SECURE
*/
$GLOBALS['SYSTEM_CLASS_METHOD_SECURE']=array(
				);

/**
 * @global tableau $GLOBALS['SYSTEM_CLASS_SECURE']
 * @name $SYSTEM_CLASS_SECURE
 * @desc Liste des classes autorisées à dialoguer en https.<br />
 * Va de paire avec $CONF_AUTH_SECURE
 */
$GLOBALS['SYSTEM_CLASS_SECURE']=array(
				);

/**
 * @global tableau $GLOBALS['SYSTEM_OID_SECURE']
 * @name $SYSTEM_OID_SECURE
 * @desc Liste des oid (identifiants des objets de coordination) autorisés à dialoguer.<br />
 * Va de paire avec $CONF_AUTH_SECURE
*/
$GLOBALS['SYSTEM_OID_SECURE']=array(
				);

/**
 * @global tableau $GLOBALS['SYSTEM_NODE_SECURE']
 * @name $SYSTEM_NODE_SECURE
 * @desc Liste des noeuds autorisés à dialoguer en https.<br />
 * Va de paire avec $CONF_AUTH_SECURE
 */
$GLOBALS['SYSTEM_NODE_SECURE']=array(
				);

$GLOBALS['EXCLUDETOOLSFROMGUESTMENU']=array(
				);

$GLOBALS['EXCLUDETOOLSFROMUSERMENU']=array(
				);
?>
