<?php

/**------------------------------------------------
*
* Rooty, 2018 <rooty@rooty.me>
*
*
* This software is protected by copyright, please
* read the file COPYRIGHT.
* This program is distributed in the hope that it
* will be useful, but without any warranty; without
* even the implied warranty of merchantability or
* fitness for a particular purpose. Please
* read the file LICENCE.
*
* Fichier config.php
*
* Ce fichier contient la configuration générale du système...
* Il est appelé dés le début de l'exécution du script et permet notamment
* de configurer les chemins vers les différents éléments systèmes.
*
* @author Rooty <www.rooty.me|rooty@rooty.me>
* @link www.rooty.me
* @since 2004/04/14
* @version 0.3
* @package commun
* @subpackage config
* @copyright Copyright &copy; 2009-2018, Rooty
* @docreview Tristan <tristan@initiance.com> | 30-10-2005
*/

#####################################################################################################
################################# Parametrage
#####################################################################################################
/**
* déclaration du système... si cette variable n'est pas définie, les fichiers inclus ne marcheront pas...
* cette variable est déclarée sur la page d'exécution du script.
*<p> if ( !defined('SYSTEM_IN') )
* {
* die("Hacking attempt");
* }</p>
*/
if ( !defined('SYSTEM_IN') )
{
 die("Hacking attempt");
}

/**
* @global chaine $GLOBALS['CONF_SITE_NAME']
* @name $CONF_SITE_NAME
* @desc CONF_SITE_NAME définit le nom générique de l'url...
*/
$GLOBALS['CONF_SITE_NAME']="Qware";

##########################################################################################
# Configuration des erreurs
##########################################################################################
/**
* @global chaine $GLOBALS['CONF_ERROR_DEBUG']
* @name $CONF_ERROR_DEBUG
* @desc CONF_ERROR_DEBUG définit si on est en mode débugage ou non
*/
$GLOBALS['CONF_ERROR_DEBUG']=true;

/**
* @global chaine $GLOBALS['CONF_ERROR_MAIL']
* @name $CONF_ERROR_MAIL
* @desc CONF_ERROR_MAIL définit si on est en mode débugage ou non
*/
$GLOBALS['CONF_ERROR_MAIL']="rooty@rooty.me";

/**
*
*/
$GLOBALS['CONF_DEBUGDUMP']=false;

/**
* @global chaine $GLOBALS['CONF_ERROR_VERBOSELEVEL']
* @name $CONF_ERROR_VERBOSELEVEL
* @desc CONF_ERROR_VERBOSELEVEL définit le niveau de debuggage du systéme:
* CONF_ERROR_VERBOSELEVEL = 0  -> Parfaitement silencieux (aucune erreur affichée)<br>
* ..<br>
* CONF_ERROR_VERBOSELEVEL = 10 -> Toutes les erreurs sont affichées.<br>
*/
$GLOBALS['CONF_ERROR_VERBOSELEVEL']=10;

/**
* @global chaine $GLOBALS['CONF_ERROR_LOGLEVEL']
* @name $CONF_ERROR_LOGLEVEL
* @desc LOG Définit quelles erreurs seront enregistrées dans le fichier de logs.
* Si elle est différente de 0, CONF_ERROR_LOGFILE doit elle aussi être renseignée.
*/
$GLOBALS['CONF_ERROR_LOGLEVEL']=10;

/**
* @global chaine $GLOBALS['CONF_ERROR_LOGFILE']
* @name $CONF_ERROR_LOGFILE
* @desc CONF_ERROR_LOGFILE --> fichier de redirection des erreurs
*/
$GLOBALS['CONF_ERROR_LOGFILE']= "log/error.log";

/**
* @global chaine $GLOBALS['CONF_MX_DEBUG']
* @name $CONF_MX_DEBUG
* @desc CONF_MX_DEBUG permet d'intercepter/afficher (en fonction du mode de debugage) tous les Mx déclarés en PHP et non présents dans la template
*/
$GLOBALS['CONF_MX_DEBUG']=false;

/**
* @global chaine $GLOBALS['CONF_MX_DOCUMENTOR']
* @name $CONF_MX_DOCUMENTOR
* @desc CONF_MX_DOCUMENTOR affiche le nom de la balise Mx appelée... sert à la documentation des Mx disponibles pour une template...
*/
$GLOBALS['CONF_MX_DOCUMENTOR']=false;

##########################################################################################
# Configuration générale des pages clés
##########################################################################################
/**
* @global chaine $GLOBALS['CONF_LOST_PASSWORD']
* @name $CONF_LOST_PASSWORD
* @desc définit la procédure de rappel de mot de passe est activée
*/
$GLOBALS['CONF_LOST_PASSWORD']=true;

/**
* @global chaine $GLOBALS['CONF_AUTH_SECURE']
* @name $CONF_AUTH_SECURE
* @desc définit si la connexion est en https
*/
$GLOBALS['CONF_AUTH_SECURE']=true;

/**
* @global chaine $GLOBALS['CONF_PAGE_EXECUTION']
* @name $CONF_PAGE_EXECUTION
* @desc Gestion du CONF_PAGE_EXECUTION<br>
* Page d'exécution du systéme (peut servir à implementer le systéme dans un site standard)
*/
$GLOBALS['CONF_PAGE_EXECUTION']="index.php";
/**
* @global chaine $GLOBALS['CONF_URL_KEY']
* @name $CONF_URL_KEY
* @desc ajoute l'id de session dans les urls ?
*/
$GLOBALS['CONF_URL_KEY']=false;
/**
* @global chaine $GLOBALS['CONF_MAINTENANCE']
* @name $CONF_MAINTENANCE
* @desc CONF_MAINTENANCE Définit la page de maintenance du site
*/
$GLOBALS['CONF_MAINTENANCE']="maintenance.htm";

/**
* @global chaine $GLOBALS['CONF_ERREUR']
* @name $CONF_ERREUR
* @desc CONF_ERREUR Définit la page d'erreur du site
*/
$GLOBALS['CONF_ERREUR']="erreur.htm";

/**
* @desc REMOTE_HELP_PATH et HELP_FILENAME <br>
* Constantes servant à l'aide contextuelle
*/
define('REMOTE_HELP_PATH', "");

/**
*
*/
define('HELP_FILENAME', "help.php");

##########################################################################################
# Configuration des répertoires principaux
##########################################################################################
/**
* @global chaine $GLOBALS['CONF_LIB_PATH']
* @name $CONF_LIB_PATH
* @desc Gestion du CONF_LIB_PATH  <br>
* Permet de configurer l'emplacement des librairies<br>
* (ne pas rajouter le nom lib/ déjà compris dans la partie statique de l'include)
*/
$GLOBALS['CONF_LIB_PATH']="./";

/**
* @global chaine $GLOBALS['CONF_DATA_PATH']
* @name $CONF_DATA_PATH
* @desc Gestion du CONF_DATA_PATH  <br>
* Permet de configurer l'emplacement des données physiques<br>
* (ne pas rajouter le nom data/ déjà compris dans la partie statique de l'include)
*/
$GLOBALS['CONF_DATA_PATH']="./";

/**
* @global chaine $GLOBALS['CONF_LOG_PATH']
* @name $CONF_LOG_PATH
* @desc Gestion du CONF_LOG_PATH  <br>
* Permet de configurer l'emplacement des logs<br>
* (ne pas rajouter le nom log/ déjà compris dans la partie statique de l'include)
*/
$GLOBALS['CONF_LOG_PATH']="./";

/**
* @global chaine $GLOBALS['CONF_MESSAGE_FILE']
* @name $CONF_MESSAGE_FILE
* @desc Gestion du fichier de logs des connexions
*/
$GLOBALS['CONF_MESSAGE_FILE']="log/message.log";

##########################################################################################
# Configuration de la Session
##########################################################################################

/**
* @global chaine $GLOBALS['CONF_AUTH_ANONYMOUS']
* @name $CONF_AUTH_ANONYMOUS
* @desc autoriser la connexion... (paraît inutile mais je pense qu'avec les plugins on devrait pouvoir faire quelque chose... (IP fixe +Intranet ;-) ))
*/
$GLOBALS['CONF_AUTH_ANONYMOUS']=true;

/**
* @global chaine $GLOBALS['CONF_AUTH_FILE']
* @name $CONF_AUTH_FILE
* @desc Gestion du fichier de logs des connexions
*/
$GLOBALS['CONF_AUTH_FILE']="log/auth.log";

/**
* @global chaine $GLOBALS['CONF_AUTH_ALIEN']
* @name $CONF_AUTH_ALIEN
* @desc autoriser une tentative d'authentification depuis l'extérieur (si le referer n'est pas le même)
*/
$GLOBALS['CONF_AUTH_ALIEN']=true;

/**
* @global chaine $GLOBALS['CONF_AUTH_ALIEN_FILE']
* @name $CONF_AUTH_ALIEN_FILE
* @desc stocker les authentifications depuis l'extérieur
*/
$GLOBALS['CONF_AUTH_ALIEN_FILE']="log/auth.alien.log";

##########################################################################################
# Configuration des sessions
##########################################################################################

/**
* @global chaine $GLOBALS['CONF_CHECK_IP']
* @name $CONF_CHECK_IP
* @desc Gestion du CONF_CHECK_IP  <br>
* Permet d'activer la vérification d'ip (entre l'identifiant de la session et son Ip)
*/
$GLOBALS['CONF_CHECK_IP']=false;

/**
* @global chaine $GLOBALS['CONF_SESSION_TIME']
* @name $CONF_SESSION_TIME
* @desc Gestion du CONF_SESSION_TIME  <br>
* Temps maximun de la session (temps en secondes)
*/
$GLOBALS['CONF_SESSION_TIME']=3600;

##########################################################################################
# Configuration des cookies (cookie de session uniquement)
##########################################################################################

/**
* @global chaine $GLOBALS['CONF_COOKIE_ENABLE']
* @name $CONF_COOKIE_ENABLE
* @desc permet d'activer la configuration par cookie...
*/
$GLOBALS['CONF_COOKIE_ENABLE']=true;

/**
* @global chaine $GLOBALS['CONF_COOKIE_PATH']
* @name $CONF_COOKIE_PATH
* @desc chemin du cookie...
*/
$GLOBALS['CONF_COOKIE_PATH']="";

/**
* @global chaine $GLOBALS['CONF_COOKIE_SECURE']
* @name $CONF_COOKIE_SECURE
* @desc cookie et https à 0 ou 1 (1=actif)
*/
$GLOBALS['CONF_COOKIE_SECURE']=1;
?>
