<?php

/**---------------------------------------------
*
* Rooty, 2018 <rooty@rooty.me>
*
*
* This software is protected by copyright, please
* read the file COPYRIGHT.
* This program is distributed in the hope that it
* will be useful, but without any warranty; without
* even the implied warranty of merchantability or
* fitness for a particular purpose. Please
* read the file LICENCE.
*
* Ce fichier contient la classe TextInfo
* @author Initiance <www.initiance.com|martial@initiance.com>
* @since 2004/06/07
* @version 0.2
* @link www.rooty.me
* @package object_coordination
* @subpackage TextInfo
* @copyright Copyright &copy; 2009-2018, Rooty
*/

/**
* Modified by Guillaume Tessier <gui.tessier@wanadoo.fr>
* Since 2005/08/01
* Ajout de deux méthodes (setAllRow4Import et getAllRow4Export) concrètes issues 
* de la classe abstraite "CoordinationObj", ces deux méthodes nous servent à restaurer et 
* sauvegarder des données de l'outil.
*/

/**
* Modified by Comendatore(Tristan) <commendatore@comendatore.net>
* Since 2007/01/02
* Adaptation des appels SQL à la nouvelle structure de BD pour la version 2.0 de Granilm.
*/
if ( !defined('SYSTEM_IN') )
{
 die("Hacking attempt");
}

/**
* Classe TextInfo
*
* classe de gestion de pages de textes de presentation
* @package object_coordination
* @subpackage TextInfo
*/
Class TextInfo extends CoordinationObj
{

	function tabeCreate()
	{
		$tabPictoTabe = array("eye","cogs");
		$tabTabe =  array("TxtTabeView","TxtTabeAdmin");
		$tabAction = array(array("lectureAdmin"), array("actionAdmin"));
		$tabUrlTabe = array(formatUrl($this->getId(), "TextInfo", "lectureAdmin"),formatUrl($this->getId(), "TextInfo", "actionAdmin"));
		printTabeAdmin("TabeB", $tabTabe, $tabUrlTabe, $tabPictoTabe, $tabAction);
	}

/**
* Function affichant en lecture seule le contenu
* @access public
* @return chaine chaine vide
*/
	function actionLectureInfo()
	{
		$text = getMessage("NoText");
		
		/*Récupération des messages utilisateurs*/
		addMessageFile("user.ini");

		/* gestion du lib en fonction de la langue courante */
		$currentCode=$GLOBALS["SYSTEM_USER_SESSION"]->langue->getCode();
		$defaultCode=$GLOBALS["SYSTEM_DEFAULT_LANGUAGE_CODE"];
		/* fin récupération des codes par defaut */

		//Récupération de l'identifiant de la communauté : methode en fin de page
		$nodeId = $this->recupCommunauty("id");
		
		if( isset($_POST["rules"]) && $_POST["rules"]==1 )
		{
			$GLOBALS["SYSTEM_MANAGER"]["USER"]->updateCharteStatus($GLOBALS["SYSTEM_USER_SESSION"]->user->getId());
			$GLOBALS["SYSTEM_USER_SESSION"]->user->updateCharteStatus(1);
			
		}

		if (file_exists($GLOBALS['SYSTEM_TEMPLATE_PATH'].$GLOBALS['SYSTEM_TEMPLATE_DIR']."object_coordination/textinfo/".$_SERVER["HTTP_HOST"]."-landingpage.mxt"))
		{
			$GLOBALS["SYSTEM_TEMPLATE"] = new ModeliXeQware($GLOBALS['SYSTEM_TEMPLATE_PATH'].$GLOBALS['SYSTEM_TEMPLATE_DIR']."object_coordination/textinfo/".$_SERVER["HTTP_HOST"]."-landingpage.mxt");

			$GLOBALS["SYSTEM_TEMPLATE"]->SetMxFileParameter($GLOBALS['SYSTEM_TEMPLATE_PATH'].$GLOBALS['SYSTEM_TEMPLATE_DIR'].$GLOBALS['SYSTEM_TEMPLATE_CONF']);
			$GLOBALS["SYSTEM_TEMPLATE"]->SetModeliXe();
			
			
			$GLOBALS['SYSTEM_TEMPLATE']->MxText("faviconlink", "data/image/communities/".$_SERVER["HTTP_HOST"].".ico?v4");
			
			$url =$_SERVER['SCRIPT_NAME'];
			$url.="?system=authSession";
			$url=addIdToUrl($url);
			
			$tabObject	=$this->getObjectSon(eid());
			for ($i=0; $i<count($tabObject);$i++)
			{
				if ($tabObject[$i][0]->getClassName()=="home")
				{
					$urlArray["id"]=$tabObject[$i][1]->getId();
				}
			}
			
			/* Création de l'URL pour nouveau compte */
			$urlNewAccount = $_SERVER['SCRIPT_NAME'];
			$urlNewAccount.= "?system=authNewAccount";
			$urlNewAccount = addIdToUrl($urlNewAccount);
			
			$GLOBALS['SYSTEM_TEMPLATE']->MxAttribut("urlActionNewAccount", formatUrl($urlArray["id"],"Home","formLecture","",$this->recupCommunauty()));
			$GLOBALS['SYSTEM_TEMPLATE']->MxAttribut("urlActionNewSubscription", formatUrl($urlArray["id"],"Home","formLectureAdh","",$this->recupCommunauty()));

			/* Création de l'URL pour rappel du mot de passe */
			$urlForgotPassword = $_SERVER['SCRIPT_NAME'];
// 			$urlForgotPassword.= "?system=authForgotPassword";
			$urlForgotPassword.= "?msg=forgotPasswordTempDisabled";
			$urlForgotPassword = addIdToUrl($urlForgotPassword);
			
			$GLOBALS['SYSTEM_TEMPLATE']->MxText("pageTitleHome", $GLOBALS['SYSTEM_TEMPLATE_DEFAULT_TITLE']." ".$GLOBALS['SYSTEM_TEMPLATE_DEFAULT_DESCRIPTION']." - Accueil");
			$GLOBALS['SYSTEM_TEMPLATE']->MxText("ogTitle", $GLOBALS['SYSTEM_TEMPLATE_DEFAULT_TITLE']);
			$GLOBALS['SYSTEM_TEMPLATE']->MxText("ogDescription", $GLOBALS['SYSTEM_TEMPLATE_DEFAULT_DESCRIPTION']);
			
// 			$GLOBALS['SYSTEM_TEMPLATE']->MxImage("pictoAuth", $GLOBALS['CONF_DATA_PATH']."data/template/".$GLOBALS['SYSTEM_TEMPLATE_DIR']."media/picto/authorise.png");
			$GLOBALS['SYSTEM_TEMPLATE']->MxText("auth", getMessage("UserPrintAuth"));
			$GLOBALS['SYSTEM_TEMPLATE']->MxText("LOGIN", getMessage("UserPrintLogin"));
			$GLOBALS['SYSTEM_TEMPLATE']->MxFormField("login", "text", "login", "", "title='".getMessage("tipUserPrintLogin")."'");
			$GLOBALS['SYSTEM_TEMPLATE']->MxText("PASSWORD", getMessage("UserPrintPassword"));
			$GLOBALS['SYSTEM_TEMPLATE']->MxFormField("password", "password", "password", "", "title='".getMessage("tipUserPrintPassword")."'");
			$GLOBALS['SYSTEM_TEMPLATE']->MxAttribut("urlActionNewAccount", $urlNewAccount);
			$GLOBALS['SYSTEM_TEMPLATE']->MxText("NEWACCOUNT", getMessage("UserPrintNewAccount"));
			$GLOBALS['SYSTEM_TEMPLATE']->MxText("NEWSUBSCRIPTION", getMessage("UserPrintNewSubscription"));
			$GLOBALS['SYSTEM_TEMPLATE']->MxAttribut("urlActionForgotPassword", $urlForgotPassword);
			$GLOBALS['SYSTEM_TEMPLATE']->MxText("FORGOTPASSWORD", getMessage("UserPrintForgotPassword"));
			$GLOBALS['SYSTEM_TEMPLATE']->MxAttribut("urlActionLogin", $url);
			$GLOBALS['SYSTEM_TEMPLATE']->MxAttribut("BtnEnter", getMessage("UserPrintEnter"));
			$GLOBALS['SYSTEM_TEMPLATE']->MxAttribut("titleButton", getMessage("tipUserPrintEnter"));
// 			$data=$GLOBALS['SYSTEM_TEMPLATE']->MxWrite();
			
			$sql="SELECT * FROM ".DATA_ACCES_TABLE_PREFIX.DATA_ACCES_OBJECT_PREFIX."textinfo WHERE textinfo_id=".$this->getId();
			# Execution de Requete (utilisation de la connexion systeme)
			$result=$GLOBALS['SYSTEM_DATABASE_CONN']->sql_query($sql);

			# Teste si il y a des enregistrements
			if ($GLOBALS['SYSTEM_DATABASE_CONN']->sql_numrows()>0)
			{
				$View = $GLOBALS['SYSTEM_DATABASE_CONN']->sql_fetchrow();
				$text = stripslashes($View['textinfo_text_'.$currentCode]);
				# Destruction des resultats
				$GLOBALS['SYSTEM_DATABASE_CONN']->sql_freeresult();
			}else{
				$text = getMessage("NoText");
			}

			# On affecte a la template le texte pour la balise MxText (Template Principale)
			$GLOBALS["SYSTEM_TEMPLATE"]->MxText("text", $text);
		} else {
			mxPageTitle($GLOBALS['SYSTEM_TEMPLATE_DEFAULT_TITLE']);
			/* On inclus la template (voir package.template.php) */
			withBlocPath("TextInfo", "actionLectureInfo");
			# Requete sur identifiant de l'objet de coordination correspondant
			$sql="SELECT * FROM ".DATA_ACCES_TABLE_PREFIX.DATA_ACCES_OBJECT_PREFIX."textinfo WHERE textinfo_id=".$this->getId();
			# Execution de Requete (utilisation de la connexion systeme)
			$result=$GLOBALS['SYSTEM_DATABASE_CONN']->sql_query($sql);

			# Teste si il y a des enregistrements
			if ($GLOBALS['SYSTEM_DATABASE_CONN']->sql_numrows()>0)
			{
				$View = $GLOBALS['SYSTEM_DATABASE_CONN']->sql_fetchrow();
				$text = stripslashes($View['textinfo_text_'.$currentCode]);
				# Destruction des resultats
				$GLOBALS['SYSTEM_DATABASE_CONN']->sql_freeresult();
			}else{
				$text = getMessage("NoText");
			}
			
			if( $GLOBALS["SYSTEM_USER_SESSION"]->user->getCharteStatus() == 0)
				{
                    if( file_exists('data/message/fr/charte_'.$nodeId.'.inc') )
                        $GLOBALS["SYSTEM_TEMPLATE"]->MxText("textCharteUtilisation",file_get_contents('data/message/fr/charte_'.$nodeId.'.inc'));
                    else
                        $GLOBALS["SYSTEM_TEMPLATE"]->MxText("textCharteUtilisation",file_get_contents('data/message/fr/charte.inc'));
					$GLOBALS["SYSTEM_TEMPLATE"]->MxText("loadcharte",".load()");
				} else {
					$GLOBALS["SYSTEM_TEMPLATE"]->MxText("loadcharte","");
				}

			# On affecte a la template le texte pour la balise MxText (Template Principale)
			$GLOBALS["SYSTEM_TEMPLATE"]->MxText("text", $text);
		}
		return "";
	}

/**
	* Méthode de l'outil News permettant de gérer les News
	*
	* @access public
	*/
	public function lectureInfoViewNews()
	{
	
		//--- Dépendances ---
		//--- Fichier de messages de l'outil
		addMessageFile("comendatorenews.ini");
		withBlocPath("comendatorenews", "guestView");

		// chemin du fichier de template
		$GLOBALS["SYSTEM_TEMPLATE"]->MxAttribut("csspath", $this->cssPath);

		/* gestion du lib en fonction de la langue courante */
		$currentCode=$GLOBALS["SYSTEM_USER_SESSION"]->langue->getCode();
		$defaultCode=$GLOBALS["SYSTEM_DEFAULT_LANGUAGE_CODE"];
		/* fin récupération des codes par défaut */
		
		$newsId=	isset($_GET["param"])?$_GET["param"]:0;
		
		$GLOBALS['SYSTEM_TEMPLATE']->MxText("currentLang", $currentCode);
		$GLOBALS['SYSTEM_TEMPLATE']->MxText("ajaxGetNews", formatUrl($this->getId(),"ComendatoreNews","actionGuest"));
		
// 		$newstype = $GLOBALS["SYSTEM_USER_SESSION"]->user->getId() == 1?"public":"all";
		$objIdNews = true;
		$text = getMessage("NoText");
		# Requete sur identifiant de l'objet de coordination correspondant
		if ($objIdNews) {
			includeDep("comendatorenews/comendatorenewsmanager.php");
			$newsmanager = new ComendatoreNewsManager;
			$shownews = $newsmanager->getNewsbyId($newsId, $currentCode);
		} else
			$shownews = false;

// 		var_dump($shownews);
		if( $shownews )
		{
// 			for ($i=0; $i<(count($lastnews) >= 8 ? 8 : count($lastnews)); $i++)
// 			for ($i=0; $i<(count($shownews)); $i++)
// 			{
				if( is_file("data/image/icons/news/".$shownews[4] ) )
					$GLOBALS['SYSTEM_TEMPLATE']->MxImage("iconBloc".".icon", "data/image/icons/news/".$shownews[4], $shownews[5], "", 32);
				else
					$GLOBALS['SYSTEM_TEMPLATE']->MxBloc("iconBloc", "delete");
				
				if( $currentCode == "fr" ) {
					setlocale(LC_TIME, "fr_FR");
					$dateFLongNews = utf8_encode(strftime( "%a %d %b, %H:%M" , $shownews[3] ));
					$chainsUtils = new Chaine($shownews[5]);
					$title = $chainsUtils->chainCut(75);
					$content = $shownews[6];
				} else {
					$dateFLongNews = date("F, jS g:ia",$shownews[3]);
					$chainsUtils = new Chaine($shownews[7]);
					$title = $chainsUtils->chainCut(75);
					$content = $shownews[8];
				}
				
				$GLOBALS['SYSTEM_TEMPLATE']->MxText("pageTitleNews", $GLOBALS['SYSTEM_TEMPLATE_DEFAULT_TITLE']." - ".$title);
				$GLOBALS['SYSTEM_TEMPLATE']->MxText("newsdate", $dateFLongNews, "","");
				$GLOBALS['SYSTEM_TEMPLATE']->MxText("newsId", $shownews[0], "","");
				$GLOBALS['SYSTEM_TEMPLATE']->MxText("newstitle", $title, "","");
// 				$GLOBALS['SYSTEM_TEMPLATE']->MxAttribut(newslink", "#");
				
// 				$GLOBALS['SYSTEM_TEMPLATE']->MxText("news".".newscontent", str_replace('adminJsonFM',$methodRight, $content), "","");
				$GLOBALS['SYSTEM_TEMPLATE']->MxText("newscontent", str_replace( array('http://', 'https://'), protocol(), $content), "","");
				$nbComments = $newsmanager->getNumberComment($shownews[0]);
				$GLOBALS['SYSTEM_TEMPLATE']->MxText("lblnewscomments", getMessage("lblnewscomments"));
				$GLOBALS['SYSTEM_TEMPLATE']->MxText("dataRefUrl", formatUrl($this->getId(), "ComendatoreNews", "actionGuest", "", $shownews[0]));
// 				$GLOBALS['SYSTEM_TEMPLATE']->MxBloc("news", "loop");          
// 			}
		} else {
// 			$GLOBALS['SYSTEM_TEMPLATE']->MxBloc("slideshow".".slideshowlastnewsthreads".".newsBloc", "delete");
// 			$GLOBALS['SYSTEM_TEMPLATE']->MxBloc("news", "delete");
		}
	}

	/**
* Function permettant d'afficher le formulaire de pré-inscription pour enregistrement dans la bd
* @access public
* @param tableau
* @return chaine chaine html
*/
function lectureInfoSubscribe()
	{
		global $SERVER_NAME, $SCRIPT_NAME, $CONF_PERSISTANT_SECURE,$CONF_DATA_PATH;

		/* On inclus la template (voir package.template.php) */
		WithBlocPath("TextInfo", "lectureinfosubscribe");
		/*Récupération des messages utilisateurs*/
		addMessageFile("user.ini");

		/* gestion du lib en fonction de la langue courante */
		$currentCode=$GLOBALS["SYSTEM_USER_SESSION"]->langue->getCode();
		$defaultCode=$GLOBALS["SYSTEM_DEFAULT_LANGUAGE_CODE"];
		/* fin récupération des codes par defaut */

		if(isset($_GET['param']))
		{
			$myNoeud = $GLOBALS['SYSTEM_MANAGER']['NODE']->createInstance($_GET['param']);
			$libmyNoeud = $myNoeud->getLibelle($currentCode);
			$messageInscriptionNoeud = "&nbsp;:&nbsp;".$libmyNoeud;
			$GLOBALS['SYSTEM_TEMPLATE']->MxText("messageInscriptionNoeud", $messageInscriptionNoeud);
		}
		# Récupération des étiquette du formulaire
		$GLOBALS["SYSTEM_TEMPLATE"]->MxAttribut("urlAction", formatUrl($this->getId(),"TextInfo","execSubscribe","",$_GET['param']));

		$GLOBALS["SYSTEM_TEMPLATE"]->MxText("urlQaptcha", formatUrl($this->getId(),"TextInfo","formLectureQaptcha"));
		# Affichage des champs de formulaire pour l'adhésion

		$titre = array(getMessage("mr"),getMessage("mrs"),getMessage("miss"));
		$GLOBALS["SYSTEM_TEMPLATE"]->MxSelect("user_title", "user_title", $GLOBALS["SYSTEM_USER_SESSION"]->user->getTitle(), $titre, "", "");
		$GLOBALS["SYSTEM_TEMPLATE"]->MxFormField("user_first_name", "text", "user_first_name", $GLOBALS["SYSTEM_USER_SESSION"]->user->getFirstName());
		$GLOBALS["SYSTEM_TEMPLATE"]->MxFormField("user_last_name", "text", "user_last_name", $GLOBALS["SYSTEM_USER_SESSION"]->user->getLastName());
		$GLOBALS["SYSTEM_TEMPLATE"]->MxFormField("user_login", "text", "user_login", $GLOBALS["SYSTEM_USER_SESSION"]->user->getLogin());
		$GLOBALS["SYSTEM_TEMPLATE"]->MxFormField("user_mail", "text", "user_mail", $GLOBALS["SYSTEM_USER_SESSION"]->user->getMail());
		$GLOBALS["SYSTEM_TEMPLATE"]->MxFormField("user_postal_code", "text", "user_postal_code", $GLOBALS["SYSTEM_USER_SESSION"]->user->getPostalCode());
		$GLOBALS["SYSTEM_TEMPLATE"]->MxFormField("user_postal_address", "textarea", "user_postal_address", $GLOBALS["SYSTEM_USER_SESSION"]->user->getPostalAddress());
		$GLOBALS["SYSTEM_TEMPLATE"]->MxFormField("user_city", "text", "user_city", $GLOBALS["SYSTEM_USER_SESSION"]->user->getCity());

		return "";
	}
	
	public function formLectureQaptcha()
	{
	
		$GLOBALS["SYSTEM_TEMPLATE"] = new ModeliXeQware($GLOBALS['SYSTEM_TEMPLATE_PATH'].$GLOBALS['SYSTEM_TEMPLATE_DIR']."object_coordination/mygamecharacters/ajaxdata.mxt");
		$GLOBALS["SYSTEM_TEMPLATE"]->SetMxFileParameter($GLOBALS['SYSTEM_TEMPLATE_PATH'].$GLOBALS['SYSTEM_TEMPLATE_DIR'].$GLOBALS['SYSTEM_TEMPLATE_CONF']);
		$GLOBALS["SYSTEM_TEMPLATE"]->SetModeliXe(true);
		
		$aResponse['error'] = false;
	
		if(isset($_POST['action']) && isset($_POST['qaptcha_key']))
		{
			$_SESSION['qaptcha_key'] = false;	
			
			if(htmlentities($_POST['action'], ENT_QUOTES, 'UTF-8') == 'qaptcha')
			{
				$_SESSION['qaptcha_key'] = $_POST['qaptcha_key'];
				echo json_encode($aResponse);
			}
			else
			{
				$aResponse['error'] = true;
				echo json_encode($aResponse);
			}
		}
		else
		{
			$aResponse['error'] = true;
			echo json_encode($aResponse);
		}
	}
	
/**
* Function permettant de rafficher le contenu pour modification dans la bd
* @access public
* @return chaine chaine vide
*/
	function actionAdmin()
	{
		/*Récupération des messages utilisateurs*/
		addMessageFile("user.ini");
		
		/* gestion du lib en fonction de la langue courante */
		$currentCode=$GLOBALS["SYSTEM_USER_SESSION"]->langue->getCode();
		$defaultCode=$GLOBALS["SYSTEM_DEFAULT_LANGUAGE_CODE"];
		/* fin récupération des codes par defaut */
		
		mxPageTitle("actionAdminTitlePage");
		
		/* Instanciation du wysiwyg */
		$wysiwyg = new Wysi("contentTextInfos", "postTextInfos", "fr_FR", "", $pref="summernote");
		$wysiwyg->includeDependancy();
		
		$text =getMessage("NoText");

		/* On inclus la template (voir package.template.php) */
		withBlocPath("TextInfo", "actionAdmin");
		
		/* creation des onglets */
		$this->tabeCreate();

		//Récupération de l'identifiant de la communauté : methode en fin de page
		$nodeId = $this->recupCommunauty("id");

		# Requete sur identifiant de l objet de coordination correspondant
		$sql="SELECT * FROM ".DATA_ACCES_TABLE_PREFIX.DATA_ACCES_OBJECT_PREFIX."textinfo WHERE textinfo_id=".$this->getId();
		# Execution de Requete
		$result=$GLOBALS['SYSTEM_DATABASE_CONN']->sql_query($sql);

		# Teste si il y a des enregistrements
		if ($GLOBALS['SYSTEM_DATABASE_CONN']->sql_numrows()>0)
		{
			# On récupère les données en variable
			$View = $GLOBALS['SYSTEM_DATABASE_CONN']->sql_fetchrow();
			if($View['textinfo_text_'.$currentCode] != "")
				$text = $View['textinfo_text_'.$currentCode];
			
			# On définit le contenu texte à afficher par le wysiwyg
			$wysiwyg->SetContent($text);
			
			# On affiche le contenu texte à afficher dand le wysiwyg
			$GLOBALS["SYSTEM_TEMPLATE"]->MxText("wysiwyg", $wysiwyg->Display());
			
			# Destruction des resultats
			$GLOBALS['SYSTEM_DATABASE_CONN']->sql_freeresult();
		}else{
			$GLOBALS["SYSTEM_TEMPLATE"]->MxText("wysiwyg",getMessage("NoText"));
		}
		
		$GLOBALS["SYSTEM_TEMPLATE"]->MxText("currentLang", $currentCode);
		$GLOBALS["SYSTEM_TEMPLATE"]->MxAttribut("urlAction", formatUrl($this->getId(),"TextInfo","execAdmin"));

		return "";
	}

/**
* Function permettant de Lire le contenu pour l'administrateur
* @access public
* @return chaine chaine vide
*/
	function lectureAdmin()
	{
		/*Récupération des messages utilisateurs*/
		addMessageFile("user.ini");
		
		mxPageTitle("actionAdminTitlePage");

//         $arrayCallJs = array();
//         $arrayCallJs[] = "./lib/package/wysi/ckeditor-4.6/ckeditor.js";
//         mxCallJs($arrayCallJs);
        
		$text =getMessage("NoText");

		/* On inclus la template (voir package.template.php) */
		withBlocPath("TextInfo", "lectureAdmin");

		/* gestion du lib en fonction de la langue courante */
		$currentCode=$GLOBALS["SYSTEM_USER_SESSION"]->langue->getCode();
		$defaultCode=$GLOBALS["SYSTEM_DEFAULT_LANGUAGE_CODE"];
		/* fin récupération des codes par defaut */
		
		/* creation des onglets */
		$this->tabeCreate();

		# Requete sur identifiant de l objet de coordination correspondant
		$sql="SELECT * FROM ".DATA_ACCES_TABLE_PREFIX.DATA_ACCES_OBJECT_PREFIX."textinfo WHERE textinfo_id=".$this->getId();
		# Execution de Requete
		$result=$GLOBALS['SYSTEM_DATABASE_CONN']->sql_query($sql);

		# Teste si il y a des enregistrements
		if ($GLOBALS['SYSTEM_DATABASE_CONN']->sql_numrows()>0)
		{
			$View = $GLOBALS['SYSTEM_DATABASE_CONN']->sql_fetchrow();
			if($View['textinfo_text_'.$currentCode] != "")
			$text = stripslashes($View['textinfo_text_'.$currentCode]);
		}
		$GLOBALS["SYSTEM_TEMPLATE"]->MxText("wysiwyg", $text);

		return "";
	}

/**
* Function permettant de modifier le contenu dans la bd et redirection
* @access public
* @return chaine chaine vide
*/
	function execAdmin()
	{
		$text=(isset($_POST['contentTextInfos']))?$_POST['contentTextInfos']:"";
		
		/* gestion du lib en fonction de la langue courante */
		$currentCode=$GLOBALS["SYSTEM_USER_SESSION"]->langue->getCode();
		$defaultCode=$GLOBALS["SYSTEM_DEFAULT_LANGUAGE_CODE"];
		/* fin récupération des codes par defaut */
	
		# Requete sur identifiant de l objet de coordination correspondant
		$sql="SELECT * FROM ".DATA_ACCES_TABLE_PREFIX.DATA_ACCES_OBJECT_PREFIX."textinfo WHERE textinfo_id=".$this->getId();
		# Execution de Requete
		$result=$GLOBALS['SYSTEM_DATABASE_CONN']->sql_query($sql);
		$status=0;
		
		if ($GLOBALS['SYSTEM_DATABASE_CONN']->sql_numrows()==0)
		{
			# Requete sur identifiant de l objet de coordination correspondant
			$sql="INSERT INTO ".DATA_ACCES_TABLE_PREFIX.DATA_ACCES_OBJECT_PREFIX."textinfo (textinfo_id, textinfo_text_".$currentCode.") VALUES (".$this->getId().", '".$text."')";
			# Execution de Requete
			$result=$GLOBALS['SYSTEM_DATABASE_CONN']->sql_query($sql);
		}else{
			# Requete sur identifiant de l objet de coordination correspondant
			$sql="UPDATE ".DATA_ACCES_TABLE_PREFIX.DATA_ACCES_OBJECT_PREFIX."textinfo SET textinfo_text_".$currentCode."='".$text."' WHERE textinfo_id=".$this->getId();
			# Execution de Requete
			$result=$GLOBALS['SYSTEM_DATABASE_CONN']->sql_query($sql);
		}

		# Redirection vers le formulaire (avec le message)
		systemRedirect(formatUrl($this->getId(),"TextInfo","actionAdmin","datamodified"));
		return "";
	}

/**
* Fonction executee lors de la creation de l'instance
* @access public
* @param entier groupe de configuration...
* @param entier noeud de configuration endroit ou l'objet est cree
* @return chaine chaine vide
*/
	function __execCreateObject($groupId, $nodeId, $tabForbiddenPass)
	{
		parent::__execCreateObject($groupId, $nodeId, $tabForbiddenPass);
		# Creation de l'enregistrement...
		$sql="INSERT INTO ".DATA_ACCES_TABLE_PREFIX.DATA_ACCES_OBJECT_PREFIX."textinfo VALUES ('', ".$this->getId().")";
		# Execution de Requete
		$GLOBALS['SYSTEM_DATABASE_CONN']->sql_query($sql);
		
		return "";
	}

/**
* Fonction executee lors de la destruction (physique) de l'instance
* @access public
* @param entier groupe de configuration...
* @param entier noeud de configuration endroit ou l'objet a été créé
* @return chaine code message
*/
	function __execDeleteObject($groupId, $nodeId, $tabForbiddenPass)
	{
		parent::__execDeleteObject($groupId, $nodeId, $tabForbiddenPass);
		# Creation de l'enregistrement...
		$sql="INSERT INTO ".DATA_ACCES_TABLE_PREFIX.DATA_ACCES_OBJECT_PREFIX."textinfo WHERE textinfo_id=".$this->getId()."";
		# Execution de Requete
		$result=$GLOBALS['SYSTEM_DATABASE_CONN']->sql_query($sql);
// 		$methods=array("actionLectureInfo"=>"actionLectureInfo","actionAdmin"=>array("lectureAdmin","actionAdmin"));
// 		Search::delSearch("&oid=".$this->getId(), $this->getContentType(), $methods);
		
		return "TxtDeleteOk";
	}

/**
* __getDataCoordination : recupere un obj DataCoordination<br/>
* @access public
* @return objet DataCoordination
*/
	function __getDataCoordination()
	{
		/* gestion du lib en fonction de la langue courante */
		$currentCode=$GLOBALS["SYSTEM_USER_SESSION"]->langue->getCode();
		$defaultCode=$GLOBALS["SYSTEM_DEFAULT_LANGUAGE_CODE"];

		# Tableau id => nom de la brique
		if ($this->getName($currentCode) != "")
			$name = $this->getName($currentCode);
		else
			$name = $this->getName($defaultCode);

		return new DataTextInfo($this->getId(), $name);
	}

	/**
	* getAllRow4Export : recupere tous les enregistrements utilisés par l'objet de coordination 
	* le tableau est constiué de la nom_du_champ=valeur_du_champ
	* Si aucune donnée n'est Ã  exporter, la méthode return null
	* @access public
	* @param entier id
	* @return tableau Associatif
	*/
	function getAllRow4Export(){
		$datas = array();
		$sql="SELECT * FROM ".DATA_ACCES_TABLE_PREFIX.DATA_ACCES_OBJECT_PREFIX."textinfo WHERE textinfo_id=".$this->getId();
        	$result=$GLOBALS['SYSTEM_DATABASE_CONN']->sql_query($sql);
		if ($GLOBALS['SYSTEM_DATABASE_CONN']->sql_numrows()>0){
			$dataReturn = array();
			while($list = $GLOBALS['SYSTEM_DATABASE_CONN']->sql_fetchrow())
				$dataReturn[]=$list;
			$GLOBALS['SYSTEM_DATABASE_CONN']->sql_freeresult();
			$datas[0]["tableName"]=DATA_ACCES_TABLE_PREFIX.DATA_ACCES_OBJECT_PREFIX."textinfo";
			$datas[0]["datas"]=$dataReturn;
			return $datas;
		}
		return null;
	}

	/**
	* setAllRow4Import : Insert les données en provenance du tableau associatif
	* le tableau est constitué de la nom_du_champ=valeur_du_champ
	* Si les enregistrements se sont bien sauvegardés, return true
	* @access public
	* @param boolean
	*/
	function setAllRow4Import($tableau){
		$sql="DELETE FROM ".DATA_ACCES_TABLE_PREFIX.DATA_ACCES_OBJECT_PREFIX."textinfo WHERE textinfo_id=".$this->getId();
        	$result=$GLOBALS['SYSTEM_DATABASE_CONN']->sql_query($sql);
		
		for($j=0;$j < count($tableau);$j++){
			$tableName = $tableau[$j]["tableName"];
			$tableElem = $tableau[$j]["datas"];

			for($i=0;$i <count($tableElem);$i++){	
				unset($set);
				unset($values);
	
				foreach($tableElem[$i] as $key=>$value){
					if(!is_numeric($key)){
						(!isset($set))?$set=$key:$set.=",".$key;
						(!isset($values))?$values="'".$value."'":$values.=",'".$value."'";
					}
				}
				$sql = "INSERT INTO ".$tableName." (".$set.") VALUES(".$values.")";
				$result=$GLOBALS['SYSTEM_DATABASE_CONN']->sql_query($sql);
			}
		}
		return true;
	}
	
/**
* recupere les fils d'un noeud depuis le noeud principal
* @access public
*/
	private function getObjectSon($nodeId)
	{
		$tab=$GLOBALS["SYSTEM_CONTROL"]->getListObjectForNavigation($nodeId);
		return $tab;
	}

	/**
* Function permettant de modifier le contenu dans la bd et redirection
* @access private
* @return chaine entier noeud de configuration 
*/
	function recupCommunauty($get='id',$langcode="fr")
	{
		/* Récupération de la communauté courante */
		$myEntryNode		=$GLOBALS["SYSTEM_USER_SESSION"]->entryNodeId;		/* Noeud d'entrée de l'utilisateur */
		$myTree			=$GLOBALS["SYSTEM_MANAGER"]["TREE_NODE"]->createInstance($myEntryNode);	/* Récupération du Tree correspondant */

		$nodeId=NULL;
		for ($i=0; $i<count($myTree->tabFather); $i++)
		{
			if ($myTree->tabFather[$i]->getIdPere()==1)
			{
				if( $get == 'id' ) { $nodeId=$myTree->tabFather[$i]->getId();}
				elseif( $get == 'ctype' ) { $nodeId=$myTree->tabFather[$i]->getCType();}
				elseif( $get == 'lib' ) {$nodeId=$myTree->tabFather[$i]->getLibelle($langcode);}
				elseif( $get == 'usergroup' ) {$nodeId=$myTree->tabFather[$i]->getUserGroupId();}
				elseif( $get == 'subsgroup' ) {$nodeId=$myTree->tabFather[$i]->getSubsGroupId();}
				elseif( $get == 'subsgrouptemp' ) {$nodeId=$myTree->tabFather[$i]->getSubsGroupTempId();}
				elseif( $get == 'mailnode' ) {$nodeId=$myTree->tabFather[$i]->getMailNode();}
				
				break;
			}
		}
		if (is_null($nodeId))
		{
        		systemRedirect( $GLOBALS["CONF_PAGE_EXECUTION"] );
		}
		/* -- Fin Recup Communauté */
		return $nodeId;
	}

/**
* Function permettant de modifier le contenu dans la bd et redirection
* @access private
* @return chaine entier noeud de configuration 
*/
	function recupCommunautyByDomain($domain, $get='id', $langcode="")
	{
		$sql="SELECT * FROM ".DATA_ACCES_TABLE_PREFIX."node WHERE node_domain='".$domain."';";
		# Execution de Requete (utilisation de la connexion systeme)
// 		var_dump($domain);
// 		var_dump($sql);
		$result=$GLOBALS['SYSTEM_DATABASE_CONN']->sql_query($sql);

		# Teste si il y a des enregistrements
		if ($GLOBALS['SYSTEM_DATABASE_CONN']->sql_numrows()>0)
		{
			$view = $GLOBALS['SYSTEM_DATABASE_CONN']->sql_fetchrow();
			$entryId = stripslashes($view['node_id']);
			# Destruction des resultats
			$GLOBALS['SYSTEM_DATABASE_CONN']->sql_freeresult();
			$myTree			=$GLOBALS["SYSTEM_MANAGER"]["TREE_NODE"]->createInstance($entryId);
		
			$nodeId=NULL;
			for ($i=0; $i<count($myTree->tabFather); $i++)
			{
				if ($myTree->tabFather[$i]->getIdPere()==1)
				{
					if( $get == 'id' ) { $nodeId=$myTree->tabFather[$i]->getId();}
					elseif( $get == 'lib' ) {$nodeId=$myTree->tabFather[$i]->getLibelle($langcode);}
					break;
				}
			}
			if (is_null($nodeId))
			{
	        		systemRedirect( $GLOBALS["CONF_PAGE_EXECUTION"] );
			}
		}
		/* -- Fin Recup Communauté */
// 		var_dump("RecupCommunity : ".$nodeId);
		return $nodeId;
	}

	/**
* Function permettant de modifier le contenu dans la bd et redirection
* @access private
* @return chaine entier noeud de configuration 
*/
// 	function recupCommunautyByDomain($domain,$get="id",$langcode="")
// 	{
// 		/* Récupération de la communauté courante */
// 		$myEntryNode		=$GLOBALS["SYSTEM_USER_SESSION"]->entryNodeId;		/* Noeud d'entrée de l'utilisateur */
// 		$myTree			=$GLOBALS["SYSTEM_MANAGER"]["TREE_NODE"]->createInstance($myEntryNode);	/* Récupération du Tree correspondant */
// 
// 		$nodeId=NULL;
// 		for ($i=0; $i<count($myTree->tabFather); $i++)
// 		{
// 			if ($myTree->tabFather[$i]->getIdPere()==1)
// 			{
// 				if( $get == 'id' ) { $nodeId=$myTree->tabFather[$i]->getId();}
// 				elseif( $get == 'lib' ) {$nodeId=$myTree->tabFather[$i]->getLibelle($langcode);}
// 				break;
// 			}
// 		}
// 		if (is_null($nodeId))
// 		{
//         		systemRedirect( $GLOBALS["CONF_PAGE_EXECUTION"] );
// 		}
// 		/* -- Fin Recup Communauté */
// // 		var_dump("RecupCommunity : ".$nodeId);
// 		return $nodeId;
// 	}
}

/**
* Classe DataCoordination
*classe d'echange de donnees pour export ou entre classe
* @package object_coordination
* @subpackage TextInfo
*/
class DataTextInfo extends DataCoordination
{
/**
* @var chaine
* @desc oid du dataInfo
* @access private
*/
var $oid=0;

/**
* @var chaine
* @desc titre de l'enregistrement (=nom de l'instance)
* @access private
*/
var $title="";

/**
* Constructeur PHP4
*/
	function DataTextInfo($oid, $title)
	{
		$this->__construct($oid, $title);
	}

/**
* Constructeur PHP5
*/
	function __construct($oid, $title)
	{
		parent::__construct();
		$this->setOid($oid);
		$this->setTitle($title);
	}

/**
* "Seteur" de l'oid
* @access public
* @param entier
* @return entier
*/
	function setOid($id)
	{
		$this->oid=$id;
	}

/**
* "Getteur" de l'oid
* @access public
* @return entier
*/
	function getOid()
	{
		return $this->oid;
	}

/**
* "Seteur" de title
* @access public
* @param entier
* @return entier
*/
	function setTitle($id)
	{
		$this->title=$id;
	}

/**
* "Getteur" de l'oid
* @access public
* @return chaine
*/
	function getTitle()
	{
		return $this->title;
	}

/**
* retourne un tableau avec toutes les sources d'info recuperables
*Cette methode permet entre autre de recuperer les types d'infos...<br/>
*Dans le cas de la newsletter par exemple, la classe se sert :<br/>
* - d'une liste d'abonnes<br/>
* - d'une liste de mail ou newsletter<br/>
*Le tableau renverra donc array(0=>newsletter, 1=>account)<br/>
* @return tableau
*/
	function getDataSource()
	{
		return array("TextInfo");
	}

/**
* retourne la source d'info par defaut
*Cette methode permet entre autre de recuperer les types d'infos...<br/>
*Dans le cas de la newsletter par exemple, la classe se sert :<br/>
* - d'une liste d'abonnes<br/>
* - d'une liste de mail ou newsletter<br/>
*Le tableau renverra donc array(0=>newsletter, 1=>account)<br/>
* @return tableau
*/
	function getDefaultDataSource()
	{
		$tab=$this->getDataSource();
		if (is_array($tab)) return $tab[0];
		else return "";
	}

/**
* recupere 1 enregistrement avec l'id=id
*le tableau est constiue de la cle + nom de l'info + valeur<br/>
*Des champs sont en plus donnees (balises obligatoires rss):<br/>
* - rssTitle=titre de l'info<br/>
* - rssDescription=description/resume<br/>
* - rssLink=lien du site<br/>
* +
* - id identifiant d'accee unique
* Par defaut la dataSource doit etre la source de donnee principale de l'obj
* @return tableau
*/
	function getRow($id="", $dataSource="")
	{
		$tab["id"]=$this->getOid();
		$tab["rssTitle"]=$this->getTitle();

		# Requete sur identifiant de l objet de coordination correspondant
		$sql="SELECT * FROM ".DATA_ACCES_TABLE_PREFIX.DATA_ACCES_OBJECT_PREFIX."textinfo WHERE textinfo_id=".$this->getOid();

		# Execution de Requete
		$result=$GLOBALS['SYSTEM_DATABASE_CONN']->sql_query($sql);

		# Teste si il y a des enregistrements
		$description="";

		if ($GLOBALS['SYSTEM_DATABASE_CONN']->sql_numrows()>0)
		{
			$View = $GLOBALS['SYSTEM_DATABASE_CONN']->sql_fetchrow();
			if($View['textinfo_text'] != "")
				$description = $View['textinfo_text'];
		}

		$tab["rssDescription"]=$description;
		$tab["rssLink"]="http://www.fab-l3.org";
		return $tab;
	}

/**
* recupere tous les enregistrement sous forme de tableau
* le tableau est constiue de la cle + nom de l'info + valeur
* Des champs sont en plus donnees (balises obligatoires rss):<br/>
* - rssTitle=titre de l'info<br/>
* - rssDescription=description/resume<br/>
* - rssLink=lien du site<br/>
* +
* - id identifiant d'accee unique
* Par defaut la dataSource doit etre la source de donnee principale de l'obj
* @return tableau
*/
	function getAllRow($dataSource="")
	{
		return array($this->getRow());
	}

/**
* recupere un texte format RSS
* Par defaut la dataSource doit etre la source de donnee principale de l'obj
* @return chaine
*/
	function getRssFile($dataSource="")
	{
		return "";
	}

/**
* recupere un texte format Xml
* Par defaut la dataSource doit etre la source de donnee principale de l'obj
* @return chaine
*/
	function getXmlFile($dataSource="")
	{
		return "";
	}

/**
* recupere un texte format Cvs
* Par defaut la dataSource doit etre la source de donnee principale de l'obj
* @return chaine 
*/
	function getCvsFile($dataSource="")
	{
		return "";
	}
}
?>
